Company logoTrust Center Documentation
API v1 ReferenceAccountsIdNda acceptances

Get account NDA acceptances

Retrieve all NDA acceptances for a specific account. Browse request parameters, authentication requirements, response payloads, and working code samples in…

GET
/api/v1/accounts/{id}/nda-acceptances

Retrieve all NDA acceptances for a specific account

Authorization

bearerAuth
AuthorizationBearer <token>

API key generated in Admin Center Integrations

In: header

Path Parameters

id*string

Account ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/nda-acceptances"
{  "acceptances": [    {      "id": "650e8400-e29b-41d4-a716-446655440000",      "contact": {        "id": "750e8400-e29b-41d4-a716-446655440000",        "first_name": "John",        "last_name": "Doe",        "email": "john.doe@example.com"      },      "nda_template": {        "id": "550e8400-e29b-41d4-a716-446655440000",        "title": "Standard Bilateral NDA",        "type": "bilateral"      },      "accepted_at": "2024-01-15T14:30:00Z",      "acceptance_method": "clickwrap",      "date_created": "2024-01-15T14:30:00Z"    },    {      "id": "660e8400-e29b-41d4-a716-446655440000",      "contact": {        "id": "760e8400-e29b-41d4-a716-446655440000",        "first_name": "Jane",        "last_name": "Smith",        "email": "jane.smith@example.com"      },      "nda_template": {        "id": "550e8400-e29b-41d4-a716-446655440000",        "title": "Standard Bilateral NDA",        "type": "bilateral"      },      "accepted_at": "2024-01-16T10:15:00Z",      "acceptance_method": "clickwrap",      "date_created": "2024-01-16T10:15:00Z"    }  ]}

How is this guide?